> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Register dataset config



## OpenAPI

````yaml /api-specs/cloud/dmm.json put /model-monitor/v2/api/model/{model_id}/register-dataset/{dataset_type}
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{model_id}/register-dataset/{dataset_type}:
    summary: Dataset registration to a model.
    put:
      tags:
        - Model
      summary: Register dataset config
      operationId: registerDatasetConfig
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            type: string
        - in: path
          name: dataset_type
          required: true
          schema:
            enum:
              - prediction
              - ground_truth
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/datasetRegistrationConfigRequest'
        description: ''
        required: true
      responses:
        '200':
          description: Successfully registered dataset to the Model.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    datasetRegistrationConfigRequest:
      description: Config to be used to register a model with DMM.
      properties:
        datasetDetails:
          $ref: '#/components/schemas/datasetConfigRegistrationRequest'
        run_cohort_analysis:
          type: boolean
        variables:
          items:
            $ref: '#/components/schemas/variableConfigRegistrationRequest'
          type: array
      required:
        - datasetDetails
      title: Model Registration Config
      type: object
    datasetConfigRegistrationRequest:
      description: Config for the dataset to be registered with the model.
      properties:
        datasetConfig:
          $ref: '#/components/schemas/datasetConfig'
        datasetType:
          description: Type of the dataset.
          enum:
            - file
          type: string
        datasourceName:
          description: Name of the datasource to which the dataset belongs.
          type: string
        datasourceType:
          $ref: '#/components/schemas/datasourceType'
        featureSetId:
          description: The version id for the current feature set version.
          type: string
        featureSetVersionId:
          description: >-
            The feature set id of the feature set to which the current feature
            set version belongs to.
          type: string
        name:
          description: Name of the dataset.
          type: string
      required:
        - name
        - datasetType
        - datasetConfig
        - datasourceName
        - datasourceType
      title: Dataset Config Registration
      type: object
    variableConfigRegistrationRequest:
      description: Variable config to configure a variable of a model.
      properties:
        binsCategories:
          description: Bin categories to be used for a categorical typed variable.
          items:
            type: string
          type: array
        binsEdges:
          description: Bin Edges to be used for a numerical typed variable.
          items:
            type: number
          type: array
        binsEstimatorMethod:
          $ref: '#/components/schemas/binsEstimatorMethod'
        binsNum:
          $ref: '#/components/schemas/binCount'
        featureImportance:
          description: Feature Importance for a feature variable.
          type: number
        forPredictionOutput:
          description: Corresponding prediction variable name, for the given variable.
          type: string
        name:
          description: Name of the variable.
          type: string
        precomputedBinCounts:
          description: Precomputed counts for bins.
          items:
            type: integer
          type: array
        predictionProbabilityLabels:
          description: Labels for the prediction probabilities.
          items:
            type: string
          type: array
        valueType:
          $ref: '#/components/schemas/valueType'
        variableType:
          $ref: '#/components/schemas/variableType'
      required:
        - name
        - valueType
        - variableType
      title: Variable Config Registration
      type: object
    datasetConfig:
      description: Config for the dataset.
      properties:
        fileFormat:
          $ref: '#/components/schemas/fileFormat'
        path:
          description: Path to the dataset in the datasource.
          type: string
      required:
        - path
        - fileFormat
      type: object
    datasourceType:
      description: Type of the datasource to which the dataset belongs.
      enum:
        - s3
        - generic_s3
        - azure_blob
        - azure_data_lake_gen_2
        - google_cloud_storage
        - azure_data_lake_gen_1
        - hdfs
        - nfs
        - snowflake
      type: string
    binsEstimatorMethod:
      description: Estimator method to be used to determine the number of bins.
      enum:
        - auto
        - doane
        - fd
        - rice
        - scott
        - sqrt
        - sturges
      type: string
    binCount:
      description: Number of bins to be determined (for training datasets)
      type: integer
    valueType:
      description: Type of data the variable has.
      enum:
        - categorical
        - numerical
        - string
        - datetime
      type: string
    variableType:
      description: Variable type.
      enum:
        - feature
        - prediction
        - row_identifier
        - timestamp
        - ground_truth
        - sample_weight
        - prediction_probability
      type: string
    fileFormat:
      description: Format of the file.
      enum:
        - csv
        - parquet
        - snowflake
      type: string
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Use the Monitoring Config JSON](/cloud/platform-capabilities/features/monitoring/8-json/index.md)
- [Datasets administration](/cloud/admin/data-administration/datasets.md)
- [Data Planes administration](/cloud/admin/platform-configuration/manage-data-planes.md)
- [Administer Slurm for HPC workloads](/cloud/admin/infrastructure-and-compute/administer-slurm.md)
